.c-layout {
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: space-between;

  &__header {
    flex-grow: 0;
    flex-shrink: 0;
    flex-basis: auto;
  }

  &__content {
    flex-grow: 1;
    flex-shrink: 0;
    flex-basis: auto;

    &--center {
      display: flex;
      justify-content: center;
      align-items: center;
    }

    &--align-center {
      margin: 0 auto;
    }

    &--700 {
      width: 700px;
    }

    &--800 {
      width: 800px;
    }
  }

  &__footer {
    flex-grow: 0;
    flex-shrink: 0;
    flex-basis: auto;
  }
}